> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/enablement-services/mutations/deletememutation.md).

# DeleteMe

{% hint style="info" icon="lock" %}
**Authorization**

Requires user scoped authorization via session token. See the 'Session Token Authentication' section in [Enablement Services Authorization](/enablement-services/enablement-services-getting-started/enablement-services-authentication.md) guide for reference.
{% endhint %}

The `deleteMe` mutation is used to when a user wants to completely close their account and no longer have tradelines reported to credit bureaus. This mutation disconnects the aggregator from Bloom's Enablement Services.

Below is an example of the `deleteMe` mutation, detailing all fields included in the output.

{% code title="Mutation" %}

```graphql
mutation deleteMe  {
  deleteMe {
    user {
            id
        email
        phoneNumber
        status
        createdAt
        updatedAt
        syncedAt
        deletedAt
        name {
            first
            middle
            last
        }
        address {
            line1
            line2
            city
            state
            country
            zipcode
            type
        }
        notificationPreferences {
            type
            email
            phoneNumber
        }
        legalAgreementVersions {
            name
          	version
        }
     }
  }
}
```

{% endcode %}

<br>

***

#### Output Attributes - [User](/enablement-services/models/user.md)

| Attribute                   | Description                                                                                                                         |
| --------------------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| **id**                      | Global identifier for the user.                                                                                                     |
| **email**                   | User's email address                                                                                                                |
| **phoneNumber**             | User's phone number                                                                                                                 |
| **name**                    | User's [name](/enablement-services/models/name.md).                                                                                 |
| **address**                 | User's [address](/enablement-services/models/address.md).                                                                           |
| **status**                  | User's [status](/enablement-services/models/userstatus.md)                                                                          |
| **notificationPreferences** | Notifications are currently not sent for Enablement Services                                                                        |
| **legalAgreementVersions**  | The Legal agreement versions the user has accepted. [LegalAgreementVersions](/enablement-services/models/legalagreementversions.md) |
| **createdAt**               | The time the user was created in the database.                                                                                      |
| **updatedAt**               | The last time the user was updated.                                                                                                 |
| **syncedAt**                | The last time this user's connections were synced.                                                                                  |
| **deletedAt**               | The time this user was deleted from the database.                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/enablement-services/mutations/deletememutation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
